콘텐츠로 건너뛰기

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

LiveOps is a toolkit for driving ongoing player engagement through promotions and personalized offers.

Use the API to manage the following features:

  • Promotions — create and manage coupons, promo codes, discounts, and bonus campaigns.
  • Personalization — specify the conditions for displaying the item catalog and applying promotions only for certain authorized users.
  • Promotion limits — set a limit on how many times a promotion can be used by a user and configure scheduled resets for these limits.
  • Reward chains & Value points — configure reward progressions tied to value point accumulation.
  • Daily chains — set up recurring daily rewards to motivate regular logins.
  • Offer chains — build sequential purchase offers with per-step pricing and free reward options.
  • Upsell — a sales method in which the user is offered to buy an item with additional value.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, activating, and deleting campaigns and chain configurations. Authenticated via basic access authentication with your merchant or project credentials.
  • Client — calls for retrieving available promotions, getting active chains, redeeming codes, and claiming rewards on behalf of authenticated end users. Authenticated via user JWT.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use [test bank cards](/ko/doc/pay-station/references/test-cards).

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI 설명 다운로드
언어
서버
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/ko/api/liveops/

Overview

Promotions are marketing tools designed to attract new users and increase sales. Using Xsolla API, you can configure the following promotions:

  • Discounts — reduced prices on selected items.
  • Bonuses — items granted to users along with their purchase.
  • Coupons — codes that allow users to receive one or more bonus items when redeeming.
  • Promo codes — codes that allow users to receive bonus items, a discount on a specific item, or a discount on the entire cart. Unlike coupons that are redeemed after the user enters them, promo codes are redeemed during a purchase (at checkout).
  • Unique offers — hidden items displayed in the catalog to users who have entered a unique offer code. If the code is not entered, the items are not displayed.

Example flow for configuring a discount promotion:

  1. Create items using the calls from the Admin subsection of the Virtual items and currency, Bundles, or Game keys groups.
  2. Create a promotion using the Create discount promotion for item call. In the items array, pass the necessary item SKUs.
  3. Set up promotion validity periods. To do this, call the Create discount promotion for item or Update item promotion methods, and pass the promotion_periods field as an array of objects where date_from defines the start, and date_until defines the end date of the validity period.
  4. Activate a promotion using the Update item promotion call. Pass the "is_enabled": true parameter.
  5. To get information about item prices, including discounted prices, call the client API methods for getting an item catalog from the Common > Catalog, Virtual Items and Currency > Catalog, and Bundles > Catalog subsections.

Promotion configuration example

Refer to our documentation for detailed information about configuring promotions:

Common API calls

You can call API methods from this subsection to manage different types of promotions.

작업

쿠폰

Call API methods from this subsection to configure and manage coupon promotions.

Note

Refer to our documentation for detailed information about coupons.

작업

프로모션 코드

Call API methods from this subsection to configure and manage promo code promotions.

Note

Refer to our documentation for detailed information about promo codes.

작업

고유 카탈로그 혜택

Call API methods from this subsection to configure and manage unique catalog offers.

Note

Refer to our documentation for detailed information about unique offers.

작업

할인

Call API methods from this subsection to configure and manage discount promotions.

Note

Refer to our documentation for detailed information about discounts.

작업

보너스

Call API methods from this subsection to configure and manage bonus promotions.

Note

Refer to our documentation for detailed information about bonuses.

작업

개인 맞춤형 카탈로그

Personalization allows you to specify the conditions for displaying the item catalog and applying promotions only for specific authorized users. Conditions are defined based on user attributes and allow you to offer items and promotions that are most relevant to particular users.

The following personalization types are available:

  • Xsolla-side personalization. Personalization rules and logic are configured and stored on the Xsolla side. You pass user attributes, and Xsolla uses them to generate a personalized catalog.
  • Partner-side personalization. You configure personalization rules and logic on your side and send a final catalog payload for a specific user to Xsolla.
Note

You can use only one personalization type. To change it, follow the instructions.

To configure personalization on the Xsolla side using the Xsolla API:

  1. Create items using the API calls from the Admin subsection of the Virtual items and currency, Bundles or Game keys groups.

  2. Set up user attributes using the Xsolla Login API and keep them synchronized by updating data in Xsolla whenever changes occur in your game.

  3. Configure personalization for items or promotions:

  4. Pass the user JWT with user attributes to the catalog retrieval API calls to receive a personalized catalog.

Sequence for configuring and applying Xsolla-side personalization for item catalog:

Personalization for item catalog

Sequence for configuring and applying Xsolla-side personalization for promotions:

Personalization for promotions

작업
작업
작업

요청

보상 체인 목록을 가져옵니다.

주의

모든 프로젝트에는 응답에서 얻을 수 있는 아이템 수에 제한이 있습니다. 기본값과 최대값은 응답당 10개 아이템입니다. 페이지별로 더 많은 데이터 페이지를 가져오려면 한계오프셋 필드를 사용합니다.
보안
basicAuth
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
쿼리
limitinteger>= 1

페이지 요소 개수 제한입니다.

예제: limit=50
offsetinteger>= 0

목록이 생성된 요소의 개수입니다(개수는 0부터 시작함).

예제: offset=0
enabledinteger

is_enabled 플래그로 요소를 필터링합니다.

curl -i -X GET \
  -u <username>:<password> \
  'https://store.xsolla.com/api/v3/project/44056/admin/reward_chain?limit=50&offset=0&enabled=0'

응답

보상 체인 목록을 성공적으로 수신했습니다.

본문application/json
has_moreboolean(Pagination_has-more)

페이지가 더 있다는 표시로 사용됩니다.

itemsArray of admin-get-reward-chain-item-basic-model (object) or admin-get-reward-chain-item-clan-basic-model (object)
One of:

보상 체인입니다.

items[].​attribute_conditionsArray of type = string (object) or type = number (object) or type = date (object)(chain_user-attribute_conditions_model-get)[ 1 .. 100 ] items

사용자 특성 검증 조건. 사용자 특성이 지정된 모든 조건과 일치하는지 여부에 따라 체인 가용성을 결정합니다.

One of:
items[].​attribute_conditions[].​attributestring(user-attribute_conditions_properties_attribute)[ 1 .. 255 ] characters^[-_.\d\w]+$

사용자 특성 코드입니다.

items[].​attribute_conditions[].​can_be_missingboolean(user-attribute_conditions_properties_can_be_missing)

사용자 특성에서 특성이 누락된 경우에도 조건이 충족됨을 나타냅니다. 이 특성이 없는 사용자에게 항목을 표시하려면 true를 전달하십시오. 특성이 있지만 값이 조건에 지정된 값과 일치하지 않는 사용자는 항목을 볼 수 없습니다. false - 특성이 있지만 값이 조건에 지정된 값과 일치하지 않거나 특성이 누락된 사용자는 항목을 볼 수 없습니다.

items[].​attribute_conditions[].​operatorstring(user-attribute_conditions_properties_operator_string)

조건에 따라 수행하는 작업 유형입니다. string 특성 유형에 해당합니다.

열거형 값설명
eq

같음

ne

같지 않음

items[].​attribute_conditions[].​typestring(user-attribute_conditions_properties_type-string)

사용자 특성 유형입니다.

"string"
items[].​attribute_conditions[].​valuestring(user-attribute_conditions_properties_value)<= 255 characters

사용자 특성 값을 비교할 조건 값입니다. 유형은 특성 유형에 따라 다릅니다.

items[].​description(object or null)(description-localization-object)
One of:

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

object or null
items[].​image_urlstring or null(image_url)

이미지 URL입니다.

items[].​is_always_visibleboolean(chain_is_always_visible)

Whether the chain is visible to all users. If true, the chain is always displayed, regardless of the user's authentication status or attributes.

To configure personalization, you need to pass false. The logic of the chain display will be the following:

  • If false is passed and the visibility conditions are specified in the attribute_conditions array, the chain is considered personalized and is displayed only to authorized users who meet the specified conditions.
  • If false is passed and the attribute_conditions array isn’t passed or is empty, the chain is displayed to unauthorized users, as well as in cases when no matching chain is found for the authorized user.
items[].​is_enabledboolean(is_enabled)
items[].​is_reset_after_endboolean(is_reset_after_end)

종료 날짜 이후 리워드 체인 재설정 여부(모든 사용자의 밸류 포인트 및 진행 사항)

  • true인 경우, 리워드 체인은 종료 날짜 이후 재설정됩니다.
  • false인 경우, 리워드 체인은 종료 날짜 이후 재설정되지 않습니다.

주의

다음의 경우 true일 수 없음:
  • recurrent_schedule으로 재설정 기간이 설정된 경우.
  • periods.date_untilnull 값이 전달된 경우.
items[].​long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

items[].​long_description.​arstring or null

아랍어

items[].​long_description.​bgstring or null

불가리아어

items[].​long_description.​cnstring or null

중국어(간체)

items[].​long_description.​csstring or null

체코어

items[].​long_description.​destring or null

독일어

items[].​long_description.​enstring or null

영어

items[].​long_description.​esstring or null

스페인어(스페인)

items[].​long_description.​frstring or null

프랑스어

items[].​long_description.​hestring or null

히브리어

items[].​long_description.​idstring or null

인도네시아어

items[].​long_description.​itstring or null

이탈리아어

items[].​long_description.​jastring or null

일본어

items[].​long_description.​kmstring or null

크메르어

items[].​long_description.​kostring or null

한국어

items[].​long_description.​lostring or null

라오스어

items[].​long_description.​mystring or null

버마어

items[].​long_description.​nestring or null

네팔어

items[].​long_description.​phstring or null

필리핀어

items[].​long_description.​plstring or null

폴란드어

items[].​long_description.​ptstring or null

포르투칼어

items[].​long_description.​rostring or null

로마니아어

items[].​long_description.​rustring or null

러시아어

items[].​long_description.​thstring or null

태국어

items[].​long_description.​trstring or null

터키어

items[].​long_description.​twstring or null

중국어(번체)

items[].​long_description.​vistring or null

베트남어

items[].​name(object or null)(name-localization-object)
One of:

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

object or null
items[].​orderinteger(order)

배열 순서를 정의합니다.

items[].​periodsArray of objects(periods)

리워드 체인의 유효 기간. 기간이 여러 개 지정된 경우 date_fromdate_until가 모두 필요합니다.

items[].​periods[].​date_fromstring(date-time)필수

지정된 리워드 체인의 시작 날짜.

예제: "2020-08-11T10:00:00+03:00"
items[].​periods[].​date_untilstring or null(date-time)

지정된 리워드 체인의 종료 날짜. 단일 유효 기간이 지정된 경우에만 null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
items[].​recurrent_schedule(object or null)(admin_recurrent_schedule)
One of:

보상 체인의 반복 재설정 기간입니다.

object or null
items[].​reward_chain_idinteger(reward_chain_id)

고유한 보상 체인 ID입니다.

items[].​value_pointobject
items[].​value_point.​amountinteger(value-point-amount)

가치 포인트의 금액입니다.

items[].​value_point.​descriptionstring or null(value-point-description)

가치 포인트 설명입니다.

items[].​value_point.​image_urlstring(Common_admin-image_url)

이미지 URL입니다.

items[].​value_point.​is_clanboolean(is_clan)

값 포인트가 클랜 보상 체인에서 사용되는지 여부입니다.

items[].​value_point.​is_enabledboolean(is_enabled)
items[].​value_point.​long_descriptionstring or null(value-point-long-description)

가치 포인트에 대한 긴 설명입니다.

items[].​value_point.​media_listArray of objects(media_list)

스크린샷, 게임 플레이 동영상 등과 같은 아이템의 추가 자산입니다.

items[].​value_point.​media_list[].​typestring

미디어 유형: image/video.

열거형"image""video"
예제: "image"
items[].​value_point.​media_list[].​urlstring

리소스 파일입니다.

예제: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
items[].​value_point.​namestring(value-point-name)

가치 포인트 이름입니다.

items[].​value_point.​orderinteger(order)

배열 순서를 정의합니다.

items[].​value_point.​skustring(value-point-sku)

고유 가치 포인트 ID입니다.

items[].​value_point.​typestring
예제: "value_point"
응답
application/json
{ "has_more": true, "items": [ {}, {} ] }

요청

보상 체인을 생성합니다.

보안
basicAuth
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
본문application/json
One of:

보상 체인입니다.

attribute_conditionsArray of type = string (object) or type = number (object) or type = date (object)(chain_user-attribute_conditions_model-post)[ 1 .. 100 ] items

사용자 특성 검증 조건. 사용자 특성이 지정된 모든 조건과 일치하는지 여부에 따라 체인 가용성을 결정합니다.

One of:
attribute_conditions[].​attributestring(user-attribute_conditions_properties_attribute)[ 1 .. 255 ] characters^[-_.\d\w]+$필수

사용자 특성 코드입니다.

attribute_conditions[].​can_be_missingboolean(user-attribute_conditions_properties_can_be_missing)

사용자 특성에서 특성이 누락된 경우에도 조건이 충족됨을 나타냅니다. 이 특성이 없는 사용자에게 항목을 표시하려면 true를 전달하십시오. 특성이 있지만 값이 조건에 지정된 값과 일치하지 않는 사용자는 항목을 볼 수 없습니다. false - 특성이 있지만 값이 조건에 지정된 값과 일치하지 않거나 특성이 누락된 사용자는 항목을 볼 수 없습니다.

attribute_conditions[].​operatorstring(user-attribute_conditions_properties_operator_string)필수

조건에 따라 수행하는 작업 유형입니다. string 특성 유형에 해당합니다.

열거형 값설명
eq

같음

ne

같지 않음

attribute_conditions[].​typestring(user-attribute_conditions_properties_type-string)필수

사용자 특성 유형입니다.

"string"
attribute_conditions[].​valuestring(user-attribute_conditions_properties_value)<= 255 characters필수

사용자 특성 값을 비교할 조건 값입니다. 유형은 특성 유형에 따라 다릅니다.

description(object or null)(description-localization-object)
One of:

아이템 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 로케일 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

object or null
image_urlstring or null(image_url)

이미지 URL입니다.

is_always_visibleboolean(chain_is_always_visible)

Whether the chain is visible to all users. If true, the chain is always displayed, regardless of the user's authentication status or attributes.

To configure personalization, you need to pass false. The logic of the chain display will be the following:

  • If false is passed and the visibility conditions are specified in the attribute_conditions array, the chain is considered personalized and is displayed only to authorized users who meet the specified conditions.
  • If false is passed and the attribute_conditions array isn’t passed or is empty, the chain is displayed to unauthorized users, as well as in cases when no matching chain is found for the authorized user.
is_enabledboolean(is_enabled)필수
is_reset_after_endboolean(is_reset_after_end)

종료 날짜 이후 리워드 체인 재설정 여부(모든 사용자의 밸류 포인트 및 진행 사항)

  • true인 경우, 리워드 체인은 종료 날짜 이후 재설정됩니다.
  • false인 경우, 리워드 체인은 종료 날짜 이후 재설정되지 않습니다.

주의

다음의 경우 true일 수 없음:
  • recurrent_schedule으로 재설정 기간이 설정된 경우.
  • periods.date_untilnull 값이 전달된 경우.
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

아이템의 긴 설명에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 5자 로케일 코드(예 en-US: ) 두 가지 형식 중 하나로 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 변수(예: enen-US)가 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

Any of:

두 글자 소문자 언어 코드입니다.

long_description.​arstring or null

아랍어

long_description.​bgstring or null

불가리아어

long_description.​cnstring or null

중국어(간체)

long_description.​csstring or null

체코어

long_description.​destring or null

독일어

long_description.​enstring or null

영어

long_description.​esstring or null

스페인어(스페인)

long_description.​frstring or null

프랑스어

long_description.​hestring or null

히브리어

long_description.​idstring or null

인도네시아어

long_description.​itstring or null

이탈리아어

long_description.​jastring or null

일본어

long_description.​kmstring or null

크메르어

long_description.​kostring or null

한국어

long_description.​lostring or null

라오스어

long_description.​mystring or null

버마어

long_description.​nestring or null

네팔어

long_description.​phstring or null

필리핀어

long_description.​plstring or null

폴란드어

long_description.​ptstring or null

포르투칼어

long_description.​rostring or null

로마니아어

long_description.​rustring or null

러시아어

long_description.​thstring or null

태국어

long_description.​trstring or null

터키어

long_description.​twstring or null

중국어(번체)

long_description.​vistring or null

베트남어

name(object or null)(name-localization-object)필수
One of:

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

object or null
orderinteger(order)

배열 순서를 정의합니다.

periodsArray of objects(periods)필수

리워드 체인의 유효 기간. 기간이 여러 개 지정된 경우 date_fromdate_until가 모두 필요합니다.

periods[].​date_fromstring(date-time)필수

지정된 리워드 체인의 시작 날짜.

예제: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

지정된 리워드 체인의 종료 날짜. 단일 유효 기간이 지정된 경우에만 null일 수 있습니다.

예제: "2020-08-11T20:00:00+03:00"
recurrent_schedule(object or null)(recurrent_schedule_create_update)
One of:

보상 체인의 반복 재설정 기간입니다.

object or null
stepsArray of objects(create_reward_step)필수
steps[].​image_urlstring or null(image_url)

이미지 URL입니다.

steps[].​name(object or null)(name-localization-object)필수
One of:

아이템 이름에 대한 현지화가 있는 개체입니다. 두 글자 소문자 언어 코드(예: en) 또는 다섯 글자 언어 코드(예: en-US) 두 가지 형식 중 하나로 되어 있는 값을 허용합니다. 두 형식 모두 입력으로 허용되지만 응답은 두 글자 소문자 언어 코드를 반환합니다. 동일한 언어에 대한 두 옵션(예: enen-US)이 모두 제공되면 마지막으로 제공된 값이 저장됩니다. 지원되는 언어의 전체 목록은 문서에서 확인할 수 있습니다.

object or null
steps[].​priceobject(reward_step_price)필수
steps[].​price.​amountinteger(step_price_amount)필수

가치 포인트의 단계 가격입니다.

steps[].​rewardArray of objects필수
steps[].​reward[].​attribute_conditionsArray of type = string (object) or type = number (object) or type = date (object)(reward-chain-step-reward_user-attribute_conditions_model-post)[ 1 .. 100 ] items

사용자 특성 검증 조건. 사용자 특성이 지정된 모든 조건과 일치하는지 여부에 따라 리워드 체인 단계의 리워드 가용성을 결정합니다.

One of:
steps[].​reward[].​attribute_conditions[].​attributestring(user-attribute_conditions_properties_attribute)[ 1 .. 255 ] characters^[-_.\d\w]+$필수

사용자 특성 코드입니다.

steps[].​reward[].​attribute_conditions[].​can_be_missingboolean(user-attribute_conditions_properties_can_be_missing)

사용자 특성에서 특성이 누락된 경우에도 조건이 충족됨을 나타냅니다. 이 특성이 없는 사용자에게 항목을 표시하려면 true를 전달하십시오. 특성이 있지만 값이 조건에 지정된 값과 일치하지 않는 사용자는 항목을 볼 수 없습니다. false - 특성이 있지만 값이 조건에 지정된 값과 일치하지 않거나 특성이 누락된 사용자는 항목을 볼 수 없습니다.

steps[].​reward[].​attribute_conditions[].​operatorstring(user-attribute_conditions_properties_operator_string)필수

조건에 따라 수행하는 작업 유형입니다. string 특성 유형에 해당합니다.

열거형 값설명
eq

같음

ne

같지 않음

steps[].​reward[].​attribute_conditions[].​typestring(user-attribute_conditions_properties_type-string)필수

사용자 특성 유형입니다.

"string"
steps[].​reward[].​attribute_conditions[].​valuestring(user-attribute_conditions_properties_value)<= 255 characters필수

사용자 특성 값을 비교할 조건 값입니다. 유형은 특성 유형에 따라 다릅니다.

steps[].​reward[].​quantityinteger(reward_item_quantity)필수

아이템 수량입니다.

steps[].​reward[].​skustring(sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

value_pointobject필수
value_point.​skustring(sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$필수

고유 아이템 ID입니다. SKU는 소문자 및 대문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함할 수 있습니다.

curl -i -X POST \
  -u <username>:<password> \
  https://store.xsolla.com/api/v3/project/44056/admin/reward_chain \
  -H 'Content-Type: application/json' \
  -d '{
    "clan_type": "guild",
    "description": {
      "en": "Clan reward chain description."
    },
    "image_url": "https://cdn.xsolla.net/img/misc/images/5c3b8b45c5be5fe7803e59fbc8041be4.png",
    "is_enabled": true,
    "long_description": {
      "en": "Clan reward chain long description."
    },
    "name": {
      "en": "Clan reward chain"
    },
    "order": 1,
    "periods": [
      {
        "date_from": "2026-01-01T01:00:00+05:00",
        "date_until": "2026-01-31T23:59:59+05:00"
      },
      {
        "date_from": "2026-02-01T01:00:00+05:00",
        "date_until": "2026-02-28T23:59:59+05:00"
      }
    ],
    "popup_header": {
      "en": "How to unlock rewards"
    },
    "popup_image_url": "https://cdn.xsolla.net/img/misc/images/5c3b8b45c5be5fe7803e59fbc8041be4.png",
    "popup_instruction": {
      "en": "You must be a clan member to get clan rewards. You join a clan when a clan member invites you to the clan, and you accept the invite. You can also create your own clan."
    },
    "recurrent_schedule": {
      "day_of_week": 1,
      "interval_type": "weekly",
      "time": "01:00:00+08:00"
    },
    "steps": [
      {
        "image_url": "https://cdn.xsolla.net/img/misc/images/5c3b8b45c5be5fe7803e59fbc8041be4.png",
        "name": {
          "en": "First step of the reward chain"
        },
        "price": {
          "amount": 10
        },
        "reward": [
          {
            "quantity": 5,
            "sku": "com.xsolla.item_1"
          },
          {
            "quantity": 1,
            "sku": "com.xsolla.item_2"
          }
        ]
      },
      {
        "image_url": "https://cdn.xsolla.net/img/misc/images/5c3b8b45c5be5fe7803e59fbc8041be4.png",
        "name": {
          "en": "Second step of the reward chain"
        },
        "price": {
          "amount": 15
        },
        "reward": [
          {
            "quantity": 5,
            "sku": "com.xsolla.item_3"
          },
          {
            "quantity": 1,
            "sku": "com.xsolla.item_4"
          }
        ]
      }
    ],
    "value_point": {
      "sku": "com.xsolla.clan_value_point_1"
    }
  }'

응답

보상 체인을 성공적으로 생성했습니다.

본문application/json
reward_chain_idinteger
예제: 10
응답
application/json
{ "reward_chain_id": 10 }

요청

특정 보상 체인을 삭제합니다.

보안
basicAuth
경로
project_idinteger필수

프로젝트 ID입니다. 이 매개 변수는 관리자 페이지의 프로젝트 이름 옆에서 확인할 수 있습니다.

예제: 44056
reward_chain_idinteger필수

보상 체인 ID입니다.

예제: 101
curl -i -X DELETE \
  -u <username>:<password> \
  https://store.xsolla.com/api/v3/project/44056/admin/reward_chain/id/101

응답

보상 체인을 성공적으로 삭제했습니다.

본문
응답
콘텐츠 없음
작업
작업
작업
작업
작업
작업
작업
작업